Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.shell
Class ShellIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ShellID>
              com.bea.portal.tools.portal.shell.ShellIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class ShellIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ShellID>

Builds and parses `ShellID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`ShellIDBuilder()` Constructor.

Method Summary
`ShellID` | `createResourceID()` Create the `ShellDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent shell definition.
`ShellDefinitionId` | `getShellDefinitionId()` Get the `ShellDefinitionId`.
`ShellIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`ShellIDBuilder` | `setId(Integer id)` Change the identifier of the referrent shell definition.
`ShellIDBuilder` | `setShellDefinitionId(ShellDefinitionId shellDefinitionId)` Change the `ShellDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShellIDBuilder

    public ShellIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public ShellIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `ShellDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ShellID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent shell definition.

  Returns
    the identifier of the referrent shell definition

### setId

    public ShellIDBuilder setId(Integer id)

  Change the identifier of the referrent shell definition.

  Parameters
    `id` - the identifier of the referrent shell definition
  Returns
    this `ShellIDBuilder`

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

  Get the `ShellDefinitionId`.

  Returns
    the `ShellDefinitionId`

### setShellDefinitionId

    public ShellIDBuilder setShellDefinitionId(ShellDefinitionId shellDefinitionId)

  Change the `ShellDefinitionId`.

  Parameters
    `shellDefinitionId` - the `ShellDefinitionId`
  Returns
    this `ShellDefinitionIDBuilder`

### createResourceID

    public ShellID createResourceID()

  Create the `ShellDefinitionsID`. the `ShellDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<ShellID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.